Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class SplittedPanel.SplitChangeEvent

    java.lang.Object
      java.util.EventObject
          org.openide.awt.SplittedPanel.SplitChangeEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  SplittedPanel

Deprecated. This class does nothing interesting that cannot be done with a JSplitPane. Use a JSplitPane instead.

    public static class SplittedPanel.SplitChangeEvent

extends EventObject

An event that describes a split point change

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SplittedPanel.SplitChangeEvent(SplittedPanel splittedPanel, int oldValue, int newValue)` Deprecated. Constructs a new SplitChangeEvent for specified source SplittedPanel and old and new SplitPositions

Method Summary
`int` | `getNewValue()` Deprecated.
`int` | `getOldValue()` Deprecated.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SplittedPanel.SplitChangeEvent

    public SplittedPanel.SplitChangeEvent(SplittedPanel splittedPanel,
                                          int oldValue,
                                          int newValue)

  Deprecated.
  Constructs a new SplitChangeEvent for specified source SplittedPanel and old and new SplitPositions

Method Detail

### getOldValue

    public int getOldValue()

  Deprecated.
  Returns:
    the old splitterPosition

### getNewValue

    public int getNewValue()

  Deprecated.
  Returns:
    the new splitterPosition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.